<template>
  <vciWebReferTree v-if="refertype=='tree'" :value="value" :referConfig="referConfig"></vciWebReferTree>
  <vciWebReferTable v-else-if="refertype=='table'" :value="value" :referConfig="referConfig"></vciWebReferTable>
  <vciWebReferDefalut v-else :value="value" :referConfig="referConfig"></vciWebReferDefalut>
</template>

<script>
import vciWebReferTree from "./vciWebReferTree.vue";
import vciWebReferTable from "./vciWebReferTable.vue";
import vciWebReferDefalut from "./vciWebReferTable.vue";
import {validatenull} from "@/util/validate";
export default {
  name: "vciWebRefer",
  props:["referConfig"],
  components: { vciWebReferTree,vciWebReferTable,vciWebReferDefalut},
  data() {
    return {
      refertype: this.referConfig.options.type,
      isMuti: ("true" == this.referConfig.options.isMuti || this.referConfig.options.isMuti == true || this.referConfig.options.muti == true) ? true : false,
      value: this.referConfig.value
    };
  },
  created() {
    var title =this.referConfig.title || '';
    title = title.replace(":","");
    if(title){
      title = validatenull(this.referConfig.title)?('为【' + title + '】选取值'):this.referConfig.title;
    }else{
      title = validatenull(this.referConfig.title)?('为【' + this.referConfig.showField + '】选取值'):this.referConfig.title;
    }
    this.referConfig.title= title;
    this.referConfig.isMuti=this.isMuti
    if(this.refertype=='tree'){
      console.log('referConfig:')
      console.log(this.referConfig)
    }

  },
  mounted() {

  }
}
</script>

<style scoped>

</style>
